- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
tgamma
Complete List of ArrayFire Functions ArrayFire Functions by Category » Mathematical functions » | Exponential and logarithmic functions

Gamma function. More...

## Functions
AFAPI array | tgamma (const array &in)
| C++ Interface for gamma function of input. More...
AFAPI array | lgamma (const array &in)
| C++ Interface for logarithm of absolute value of gamma function of input. More...
AFAPI af_err | af_tgamma (af_array *out, const af_array in)
| C Interface for the gamma function. More...

## Detailed Description

Gamma function.

Note
  This function supports real inputs only. Complex inputs are not yet supported.

## Function Documentation

AFAPI af_err af_tgamma | ( | af_array * | out,
|  | const af_array | in
| ) |  |

C Interface for the gamma function.

Parameters

  [out] | out | will contain the result of gamma function of `in`
  [in] | in | is input

Returns
  AF_SUCCESS if the execution completes properly

AFAPI array af::lgamma | ( | const array & | in | ) |

C++ Interface for logarithm of absolute value of gamma function of input.

Parameters

  [in] | in | is input

Returns
  the logarithm of absolute value of gamma function of input

AFAPI array af::tgamma | ( | const array & | in | ) |

C++ Interface for gamma function of input.

Parameters

  [in] | in | is input

Returns
  the gamma function of input